package db

import (
	"testing"
)

func TestNew(t *testing.T) {
	c := &Config{
		Host:     "localhost",
		Port:     "5432",
		User:     "postgres",
		Password: "postgres",
		Database: "my_blog",
		SSL:      "disable",
	}
	db, err := New(c)
	if err != nil {
		t.Fatal("failed to set up the database:", err)
	}
	_, err = db.Query("SELECT 1")
	if err != nil {
		t.Fatal("failed to run query:", err)
	}
	if err := db.Close(); err != nil {
		t.Fatal("failed to close connection:", err)
	}
}
