# データベースのセットアップ

ここでは Lesson 7 で使用するデータベースの設定を以下の手順で行います。

- データベースの作成
- テーブルの作成
- シーケンスの作成
- テスト用データベースの作成

データベースを作成します。「Servers」→「PostgreSQL 15」にある「Databases」を右クリックして「Create」→「Database...」を選択します。

![01](./images/01.png)

データベース名`my_blog`で作成します。

![02](./images/02.png)

テーブルを作成します。「Servers」→「PostgreSQL 15」→「my_blog」→「Schemas」→「public」にある「Tables」を右クリックして「Create」→「Tables...」を選択します。

![03](./images/03.png)

名前は`article`を設定します。

![04](./images/04.png)

以下のようにカラムを設定します。`created`の「Default」には`NOW()`を入力してください。これにより、データ作成時に自動的にそのときの日時が入ります。「Save」をクリックします。

![05](./images/05.png)

次にシーケンスを設定します。

「Servers」→「PostgreSQL 15」→「my_blog」→「Schemas」→「public」にある「Sequences」を右クリックして「Create」→「Sequence...」を選択します。

![06](./images/06.png)

「Name」に`article_id`を設定して「Save」をクリックします。

![07](./images/07.png)

次にテスト用データベースを作成します。「Servers」→「PostgreSQL 15」→「my_blog」→「Schemas」→「public」にある「Tables」を右クリックして「Create」→「Tables...」を選択します。

![03](./images/03.png)

名前を`my_blog_test`をにします。「Definition」タブに移ります。

![08](./images/08.png)

「Definition」タブの「Template」を「shoo_app」にします。

![09](./images/09.png)

以下のようなエラーメッセージが出た場合は一度「Close」でウィンドウを閉じます。

![10](./images/10.png)

「my_blog」を右クリックして「Disconnect from database」を選択します。

![11](./images/11.png)

その後、もう一度`my_blog_test`を作成します。

それでも解決しない場合は「my_blog」以外のデータベース（「postgres」など）を右クリックして「Query Tool」を選択し、以下のクエリを実行します。実行するにはF5キーを押します。

```sql
SELECT pid FROM pg_stat_activity 
WHERE datname = 'my_blog';
```

そうすると「my_blog」データベースに接続中のプロセスのID（pid）が取得できるので、以下のクエリを実行して強制的に接続を解除します。

```sql
SELECT pg_terminate_backend(ここにpidを入れる);
```

その後、もう一度`my_blog_test`を作成します。

それでも解決しない場合は、「Template」になにも設定せずに`my_blog_test`を作成し、「my_blog」と同様に`article`テーブルと`article_id`シーケンスを作成してください。

